org.eclnt.jsfserver.defaultscreens

## Class ImageCaptureProviderDefault

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.ImageCaptureProviderDefault

- All Implemented Interfaces:
    java.io.Serializable, IImageCaptureProvider

      public class ImageCaptureProviderDefault
      extends java.lang.Object
      implements IImageCaptureProvider, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.defaultscreens.IImageCaptureProvider

      `IImageCaptureProvider.ImageCommand, IImageCaptureProvider.ImageCommandList, IImageCaptureProvider.ImageData, IImageCaptureProvider.ImageDataBlock, IImageCaptureProvider.ImageDataRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageCaptureProviderDefault()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBgpaintSelectedAvailable()`
    `java.lang.String` | `getBgpaintSelectedNotAvailable()`
    `java.lang.String` | `getBgpaintUnselectedAvailable()`
    `java.lang.String` | `getBgpaintUnselectedNotAvailable()`
    `IImageCaptureProvider.ImageDataBlock` | `getImageDataBlock()`
    `void` | `reactOnCommand(IImageCaptureProvider.ImageData imageData, IImageCaptureProvider.ImageCommand command)` This is the main reaction method for reacting on the user invoking commands within the control.
    `void` | `reactOnIconSelection(IImageCaptureProvider.ImageData imageData)` This method is called when the user clicks on an icon representing an information aspect.
    `void` | `reactOnImageDoubleClick()` This method is called when the user double clicks onto the central image.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageCaptureProviderDefault

          public ImageCaptureProviderDefault()

  - ### Method Detail

    - #### getImageDataBlock

          public IImageCaptureProvider.ImageDataBlock getImageDataBlock()

      Specified by:
        `getImageDataBlock` in interface `IImageCaptureProvider`

    - #### reactOnCommand

          public void reactOnCommand(IImageCaptureProvider.ImageData imageData,
                                     IImageCaptureProvider.ImageCommand command)

      Description copied from interface: `IImageCaptureProvider`
      This is the main reaction method for reacting on the user invoking commands within the control. Each command is associated with an information aspect.
      Implementations need to override this method.
      Specified by:
        `reactOnCommand` in interface `IImageCaptureProvider`

    - #### reactOnIconSelection

          public void reactOnIconSelection(IImageCaptureProvider.ImageData imageData)

      Description copied from interface: `IImageCaptureProvider`
      This method is called when the user clicks on an icon representing an information aspect. You might use this event in order to load corresponding image-bytes on request only. - Pay attention: this method is also called for the initial selection of the first item, which is not triggered by a user interaction.
      Specified by:
        `reactOnIconSelection` in interface `IImageCaptureProvider`

    - #### getBgpaintSelectedAvailable

          public java.lang.String getBgpaintSelectedAvailable()

      Specified by:
        `getBgpaintSelectedAvailable` in interface `IImageCaptureProvider`

    - #### getBgpaintSelectedNotAvailable

          public java.lang.String getBgpaintSelectedNotAvailable()

      Specified by:
        `getBgpaintSelectedNotAvailable` in interface `IImageCaptureProvider`

    - #### getBgpaintUnselectedAvailable

          public java.lang.String getBgpaintUnselectedAvailable()

      Specified by:
        `getBgpaintUnselectedAvailable` in interface `IImageCaptureProvider`

    - #### getBgpaintUnselectedNotAvailable

          public java.lang.String getBgpaintUnselectedNotAvailable()

      Specified by:
        `getBgpaintUnselectedNotAvailable` in interface `IImageCaptureProvider`

    - #### reactOnImageDoubleClick

          public void reactOnImageDoubleClick()

      Description copied from interface: `IImageCaptureProvider`
      This method is called when the user double clicks onto the central image.
      Specified by:
        `reactOnImageDoubleClick` in interface `IImageCaptureProvider`

Copyright © CaptainCasa Gmbh. All Rights Reserved.